/****************************************************************************
 * (c) 2019 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <LiquidCrystal_I2C.h>

#include <arduino.h>
#include <TinyWireM.h>
#include "i2c_adressen.h"
#include "i2clcd.h"
 
// Variablen -----------------------------------------------------------------
LiquidCrystal_I2C lcd(I2C_LCD_DISPLAY, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  

// Funktionen ----------------------------------------------------------------
void i2c_lcd_Setup(void)
{
  lcd.begin(20,4);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print(F("**** SEaP: *****"));
  lcd.setCursor(0,1);
  lcd.print(F("----------------"));
  delay(1000);
  lcd.clear();
}

void i2c_lcd_Write(uint8_t line, char* txt)
{
  switch(line)
  {
    case I2CLCD_LINE1:
      lcd.setCursor(0,0);
      break;
    case I2CLCD_LINE2:
      lcd.setCursor(0,1);
      break;
    case I2CLCD_LINE3:
      lcd.setCursor(0,2);
      break;
    case I2CLCD_LINE4:
      lcd.setCursor(0,3);
      break;
  }
  lcd.print(txt);
}
